server:
  port: 8873
  shutdown: graceful #开启优雅关闭

jvm-options: "-Xms128m -Xmx1024m"

# 日志配置
logging:
  level:
    root: INFO
  file:
    path: /root/temperature
#    path: /Users/edao/temperature

spring:
  datasource:
    type: com.zaxxer.hikari.HikariDataSource
#    driverClassName: com.microsoft.sqlserver.jdbc.SQLServerDriver
#    url: jdbc:sqlserver://192.168.3.29:1433;DatabaseName=appserver;encrypt=false;
#    username: sa
#    password: 452131wW
    #url: jdbc:mysql://192.168.3.29:3306/appserver?useUnicode=true&characterEncoding=utf-8&useSSL=false&autoReconnect=true
    #url: jdbc:mysql://127.0.0.1:3306/appserver?useUnicode=true&characterEncoding=utf-8&useSSL=false&autoReconnect=true
    #url: jdbc:mysql://192.168.2.18:3306/appserver?useUnicode=true&characterEncoding=utf-8&useSSL=false&autoReconnect=true
    #url: jdbc:mysql://192.168.1.92:3306/appserver?useUnicode=true&characterEncoding=utf-8&useSSL=false&autoReconnect=true
    #url: jdbc:mysql://192.168.3.7:3306/appserver?useUnicode=true&characterEncoding=utf-8&useSSL=false&autoReconnect=true
    #url: jdbc:mysql://192.168.3.7:3306/appserver?useUnicode=true&characterEncoding=utf-8&useSSL=false&autoReconnect=true
    #url: jdbc:mysql://192.168.1.24:3306/weather?useUnicode=true&characterEncoding=utf-8&useSSL=false&autoReconnect=true
    #url: jdbc:mysql://192.168.3.24:3306/appserver?useUnicode=true&characterEncoding=utf-8&useSSL=false&autoReconnect=true
    #url: jdbc:mysql://192.168.1.24:3306/appserver?useUnicode=true&characterEncoding=utf-8&useSSL=false&autoReconnect=true
    #url: jdbc:mysql://47.242.184.139:3306/appserver?useUnicode=true&characterEncoding=utf-8&useSSL=false&autoReconnect=true
    #东岸数据库虚拟机
    #url: jdbc:mysql://192.168.3.9:3306/appserver?useUnicode=true&characterEncoding=utf-8&useSSL=false&autoReconnect=true
    #本地机器
    #url: jdbc:mysql://127.0.0.1:3306/appserver?useUnicode=true&characterEncoding=utf-8&useSSL=false&autoReconnect=true
    #公司 arm 机器 luban cat
    #url: jdbc:mysql://192.168.2.210:3306/appserver?useUnicode=true&characterEncoding=utf-8&useSSL=false&autoReconnect=true
    url: jdbc:mysql://10.19.1.29:33062/appserver?useUnicode=true&characterEncoding=utf-8&useSSL=false&autoReconnect=true
    driverClassName: com.mysql.cj.jdbc.Driver #com.mysql.cj.jdbc.Driver com.mysql.jdbc.Driver
    username: root
    password: Skyinno251,
  jpa:
    database: mysql # 配置 DBMS 类型
    show-sql: true # 配置是否将执行的 SQL 输出到日志
    open-in-view: true
    properties:
      hibernate:
        format_sql: true
        dialect: org.hibernate.dialect.MySQL57Dialect
        ddl-auto: update
        hbm2ddl:
          auto: update
  servlet:
    multipart:
      # 开启 multipart 上传功能
      enabled: true
      # 文件写入磁盘的阈值
      file-size-threshold: 2KB
      # 最大文件大小
      max-file-size: 200MB
      # 最大请求大小
      max-request-size: 215MB
